﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xrm.Sdk;

namespace CrmCodeGenerator.Core.Model
{
    public class Settings
    {
        public string T4Path { get; set; }
        public string OutputPath { get; set; }

        public Context Context { get; set; }

        // specify the connection details or specify the crmconnection property
        public string CrmSdkUrl { get; set; }
        public string Domain { get; set; }
        public string Username { get; set; }
        public string Password { get; set; }
        public string CrmOrg { get; set; }

        public IOrganizationService CrmConnection { get; set; }

        public string[] EntitiesToExclude { get; set; }
        public string[] EntitiesToInclude { get; set; }
    }
}
